#!/bin/sh


./clean.sh

PS1="$"
basedir=`pwd`

applyPatch() {
    pfoldername=$1
	what=$2
    target=$3
    branch=$4

    cd "$basedir"
    if [ ! -d  "$target" ]; then
        git clone $what $target
    fi
	echo "$basedir/$target"
    cd "$basedir/$target"
	#git checkout -d origin
	git checkout $branch
    echo "Resetting $target to $what..."
    git config commit.gpgSign false
    echo "  Applying patches to $target..."
    git am --abort >/dev/null 2>&1
    git am --3way "../${pfoldername}-Patches/"*.patch
    if [ "$?" != "0" ]; then
        echo "  Something did not apply cleanly to $target."
        echo "  Please review above details and finish the apply then"
        echo "  save the changes with rebuildPatches.sh"
        exit 1
    else
        echo "  Patches applied cleanly to $target"
    fi
}

git submodule update --init

applyPatch FastLogin FastLogin LimeLogin-Plugin main